Apache Struts API Documentation: Class BaseHandlerTag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class BaseHandlerTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.html.BaseHandlerTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  BaseInputTag, ButtonTag, CancelTag, CheckboxTag, ImgTag, LinkTag, MultiboxTag, RadioTag, ResetTag, SelectTag, SubmitTag

public abstract class BaseHandlerTag
extends javax.servlet.jsp.tagext.BodyTagSupport

Base class for tags that render form elements capable of including JavaScript event handlers and/or CSS Style attributes. This class does not implement the doStartTag() or doEndTag() methods. Subclasses should provide appropriate implementations of these.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Don Clasen
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `accesskey` Access key character.
`private boolean` | `disabled` Component is disabled.
`protected static MessageResources` | `messages` The message resources for this package.
`private java.lang.String` | `onblur` Component lost focus event.
`private java.lang.String` | `onchange` Content changed after component lost focus event.
`private java.lang.String` | `onclick` Mouse click event.
`private java.lang.String` | `ondblclick` Mouse double click event.
`private java.lang.String` | `onfocus` Component has received focus event.
`private java.lang.String` | `onkeydown` Key down in component event.
`private java.lang.String` | `onkeypress` Key down and up together in component event.
`private java.lang.String` | `onkeyup` Key released in component event.
`private java.lang.String` | `onmousedown` Mouse pressed on component event.
`private java.lang.String` | `onmousemove` Mouse moved over component event.
`private java.lang.String` | `onmouseout` Mouse exit component event.
`private java.lang.String` | `onmouseover` Mouse over component event.
`private java.lang.String` | `onmouseup` Mouse released on component event.
`private java.lang.String` | `onselect` Text selected in component event.
`private boolean` | `readonly` Component is readonly.
`private java.lang.String` | `style` Style attribute associated with component.
`private java.lang.String` | `styleClass` Named Style class associated with component.
`private java.lang.String` | `styleId` Identifier associated with component.
`protected java.lang.String` | `tabindex` Tab index value.
`private java.lang.String` | `title` The advisory title of this element.

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext, parent, values`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BaseHandlerTag()`

Method Summary
`java.lang.String` | `getAccesskey()` Returns the accessKey character.
`boolean` | `getDisabled()` Returns the disabled event handler.
`java.lang.String` | `getOnblur()` Returns the onBlur event handler.
`java.lang.String` | `getOnchange()` Returns the onChange event handler.
`java.lang.String` | `getOnclick()` Returns the onClick event handler.
`java.lang.String` | `getOndblclick()` Returns the onDblClick event handler.
`java.lang.String` | `getOnfocus()` Returns the onFocus event handler.
`java.lang.String` | `getOnkeydown()` Returns the onKeyDown event handler.
`java.lang.String` | `getOnkeypress()` Returns the onKeyPress event handler.
`java.lang.String` | `getOnkeyup()` Returns the onKeyUp event handler.
`java.lang.String` | `getOnmousedown()` Returns the onMouseDown event handler.
`java.lang.String` | `getOnmousemove()` Returns the onMouseMove event handler.
`java.lang.String` | `getOnmouseout()` Returns the onMouseOut event handler.
`java.lang.String` | `getOnmouseover()` Returns the onMouseOver event handler.
`java.lang.String` | `getOnmouseup()` Returns the onMouseUp event handler.
`java.lang.String` | `getOnselect()` Returns the onSelect event handler.
`boolean` | `getReadonly()` Returns the readonly event handler.
`java.lang.String` | `getStyle()` Returns the style attribute.
`java.lang.String` | `getStyleClass()` Returns the style class attribute.
`java.lang.String` | `getStyleId()` Returns the style id attribute.
`java.lang.String` | `getTabindex()` Returns the tabIndex value.
`java.lang.String` | `getTitle()` Returns the advisory title attribute.
`protected java.lang.String` | `prepareEventHandlers()` Prepares the event handlers for inclusion in the component's HTML tag.
`private void` | `prepareFocusEvents(java.lang.StringBuffer handlers)` Prepares the focus event handlers, appending them to the the given StringBuffer.
`private void` | `prepareKeyEvents(java.lang.StringBuffer handlers)` Prepares the keyboard event handlers, appending them to the the given StringBuffer.
`private void` | `prepareMouseEvents(java.lang.StringBuffer handlers)` Prepares the mouse event handlers, appending them to the the given StringBuffer.
`protected java.lang.String` | `prepareStyles()` Prepares the style attributes for inclusion in the component's HTML tag.
`private void` | `prepareTextEvents(java.lang.StringBuffer handlers)` Prepares the text event handlers, appending them to the the given StringBuffer.
`void` | `release()` Release any acquired resources.
`void` | `setAccesskey(java.lang.String accessKey)` Sets the accessKey character.
`void` | `setDisabled(boolean disabled)` Sets the disabled event handler.
`void` | `setOnblur(java.lang.String onBlur)` Sets the onBlur event handler.
`void` | `setOnchange(java.lang.String onChange)` Sets the onChange event handler.
`void` | `setOnclick(java.lang.String onClick)` Sets the onClick event handler.
`void` | `setOndblclick(java.lang.String onDblClick)` Sets the onDblClick event handler.
`void` | `setOnfocus(java.lang.String onFocus)` Sets the onFocus event handler.
`void` | `setOnkeydown(java.lang.String onKeyDown)` Sets the onKeyDown event handler.
`void` | `setOnkeypress(java.lang.String onKeyPress)` Sets the onKeyPress event handler.
`void` | `setOnkeyup(java.lang.String onKeyUp)` Sets the onKeyUp event handler.
`void` | `setOnmousedown(java.lang.String onMouseDown)` Sets the onMouseDown event handler.
`void` | `setOnmousemove(java.lang.String onMouseMove)` Sets the onMouseMove event handler.
`void` | `setOnmouseout(java.lang.String onMouseOut)` Sets the onMouseOut event handler.
`void` | `setOnmouseover(java.lang.String onMouseOver)` Sets the onMouseOver event handler.
`void` | `setOnmouseup(java.lang.String onMouseUp)` Sets the onMouseUp event handler.
`void` | `setOnselect(java.lang.String onSelect)` Sets the onSelect event handler.
`void` | `setReadonly(boolean readonly)` Sets the readonly event handler.
`void` | `setStyle(java.lang.String style)` Sets the style attribute.
`void` | `setStyleClass(java.lang.String styleClass)` Sets the style class attribute.
`void` | `setStyleId(java.lang.String styleId)` Sets the style id attribute.
`void` | `setTabindex(java.lang.String tabIndex)` Sets the tabIndex value.
`void` | `setTitle(java.lang.String title)` Sets the advisory title attribute.

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doEndTag, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### messages

    protected static MessageResources messages

  The message resources for this package.

### accesskey

    protected java.lang.String accesskey

  Access key character.

### tabindex

    protected java.lang.String tabindex

  Tab index value.

### onclick

    private java.lang.String onclick

  Mouse click event.

### ondblclick

    private java.lang.String ondblclick

  Mouse double click event.

### onmouseover

    private java.lang.String onmouseover

  Mouse over component event.

### onmouseout

    private java.lang.String onmouseout

  Mouse exit component event.

### onmousemove

    private java.lang.String onmousemove

  Mouse moved over component event.

### onmousedown

    private java.lang.String onmousedown

  Mouse pressed on component event.

### onmouseup

    private java.lang.String onmouseup

  Mouse released on component event.

### onkeydown

    private java.lang.String onkeydown

  Key down in component event.

### onkeyup

    private java.lang.String onkeyup

  Key released in component event.

### onkeypress

    private java.lang.String onkeypress

  Key down and up together in component event.

### onselect

    private java.lang.String onselect

  Text selected in component event.

### onchange

    private java.lang.String onchange

  Content changed after component lost focus event.

### onblur

    private java.lang.String onblur

  Component lost focus event.

### onfocus

    private java.lang.String onfocus

  Component has received focus event.

### disabled

    private boolean disabled

  Component is disabled.

### readonly

    private boolean readonly

  Component is readonly.

### style

    private java.lang.String style

  Style attribute associated with component.

### styleClass

    private java.lang.String styleClass

  Named Style class associated with component.

### styleId

    private java.lang.String styleId

  Identifier associated with component.

### title

    private java.lang.String title

  The advisory title of this element.

Constructor Detail

### BaseHandlerTag

    public BaseHandlerTag()

Method Detail

### setAccesskey

    public void setAccesskey(java.lang.String accessKey)

  Sets the accessKey character.

### getAccesskey

    public java.lang.String getAccesskey()

  Returns the accessKey character.

### setTabindex

    public void setTabindex(java.lang.String tabIndex)

  Sets the tabIndex value.

### getTabindex

    public java.lang.String getTabindex()

  Returns the tabIndex value.

### setOnclick

    public void setOnclick(java.lang.String onClick)

  Sets the onClick event handler.

### getOnclick

    public java.lang.String getOnclick()

  Returns the onClick event handler.

### setOndblclick

    public void setOndblclick(java.lang.String onDblClick)

  Sets the onDblClick event handler.

### getOndblclick

    public java.lang.String getOndblclick()

  Returns the onDblClick event handler.

### setOnmousedown

    public void setOnmousedown(java.lang.String onMouseDown)

  Sets the onMouseDown event handler.

### getOnmousedown

    public java.lang.String getOnmousedown()

  Returns the onMouseDown event handler.

### setOnmouseup

    public void setOnmouseup(java.lang.String onMouseUp)

  Sets the onMouseUp event handler.

### getOnmouseup

    public java.lang.String getOnmouseup()

  Returns the onMouseUp event handler.

### setOnmousemove

    public void setOnmousemove(java.lang.String onMouseMove)

  Sets the onMouseMove event handler.

### getOnmousemove

    public java.lang.String getOnmousemove()

  Returns the onMouseMove event handler.

### setOnmouseover

    public void setOnmouseover(java.lang.String onMouseOver)

  Sets the onMouseOver event handler.

### getOnmouseover

    public java.lang.String getOnmouseover()

  Returns the onMouseOver event handler.

### setOnmouseout

    public void setOnmouseout(java.lang.String onMouseOut)

  Sets the onMouseOut event handler.

### getOnmouseout

    public java.lang.String getOnmouseout()

  Returns the onMouseOut event handler.

### setOnkeydown

    public void setOnkeydown(java.lang.String onKeyDown)

  Sets the onKeyDown event handler.

### getOnkeydown

    public java.lang.String getOnkeydown()

  Returns the onKeyDown event handler.

### setOnkeyup

    public void setOnkeyup(java.lang.String onKeyUp)

  Sets the onKeyUp event handler.

### getOnkeyup

    public java.lang.String getOnkeyup()

  Returns the onKeyUp event handler.

### setOnkeypress

    public void setOnkeypress(java.lang.String onKeyPress)

  Sets the onKeyPress event handler.

### getOnkeypress

    public java.lang.String getOnkeypress()

  Returns the onKeyPress event handler.

### setOnchange

    public void setOnchange(java.lang.String onChange)

  Sets the onChange event handler.

### getOnchange

    public java.lang.String getOnchange()

  Returns the onChange event handler.

### setOnselect

    public void setOnselect(java.lang.String onSelect)

  Sets the onSelect event handler.

### getOnselect

    public java.lang.String getOnselect()

  Returns the onSelect event handler.

### setOnblur

    public void setOnblur(java.lang.String onBlur)

  Sets the onBlur event handler.

### getOnblur

    public java.lang.String getOnblur()

  Returns the onBlur event handler.

### setOnfocus

    public void setOnfocus(java.lang.String onFocus)

  Sets the onFocus event handler.

### getOnfocus

    public java.lang.String getOnfocus()

  Returns the onFocus event handler.

### setDisabled

    public void setDisabled(boolean disabled)

  Sets the disabled event handler.

### getDisabled

    public boolean getDisabled()

  Returns the disabled event handler.

### setReadonly

    public void setReadonly(boolean readonly)

  Sets the readonly event handler.

### getReadonly

    public boolean getReadonly()

  Returns the readonly event handler.

### setStyle

    public void setStyle(java.lang.String style)

  Sets the style attribute.

### getStyle

    public java.lang.String getStyle()

  Returns the style attribute.

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

  Sets the style class attribute.

### getStyleClass

    public java.lang.String getStyleClass()

  Returns the style class attribute.

### setStyleId

    public void setStyleId(java.lang.String styleId)

  Sets the style id attribute.

### getStyleId

    public java.lang.String getStyleId()

  Returns the style id attribute.

### getTitle

    public java.lang.String getTitle()

  Returns the advisory title attribute.

### setTitle

    public void setTitle(java.lang.String title)

  Sets the advisory title attribute.

### release

    public void release()

  Release any acquired resources.
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.BodyTagSupport`

### prepareStyles

    protected java.lang.String prepareStyles()

  Prepares the style attributes for inclusion in the component's HTML tag.
  Returns:
    The prepared String for inclusion in the HTML tag.

### prepareEventHandlers

    protected java.lang.String prepareEventHandlers()

  Prepares the event handlers for inclusion in the component's HTML tag.
  Returns:
    The prepared String for inclusion in the HTML tag.

### prepareMouseEvents

    private void prepareMouseEvents(java.lang.StringBuffer handlers)

  Prepares the mouse event handlers, appending them to the the given StringBuffer.
  Parameters:
    `handlers` - The StringBuffer that output will be appended to.

### prepareKeyEvents

    private void prepareKeyEvents(java.lang.StringBuffer handlers)

  Prepares the keyboard event handlers, appending them to the the given StringBuffer.
  Parameters:
    `handlers` - The StringBuffer that output will be appended to.

### prepareTextEvents

    private void prepareTextEvents(java.lang.StringBuffer handlers)

  Prepares the text event handlers, appending them to the the given StringBuffer.
  Parameters:
    `handlers` - The StringBuffer that output will be appended to.

### prepareFocusEvents

    private void prepareFocusEvents(java.lang.StringBuffer handlers)

  Prepares the focus event handlers, appending them to the the given StringBuffer.
  Parameters:
    `handlers` - The StringBuffer that output will be appended to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation